///////////////////////////
//Movement speed function//
///////////////////////////
function Player::setCanMove(%obj, %move)
{
    if (!%obj.hasDefaultSpeedsSet)
    {
        %obj.DefaultForwardSpeed = %obj.getDataBlock().maxForwardSpeed;
        %obj.DefaultSideSpeed = %obj.getDataBlock().maxSideSpeed;
        %obj.DefaultBackSpeed = %obj.getDataBlock().maxBackwardSpeed;
        
        %obj.DefaultForwardSpeedCrouching = %obj.getDataBlock().maxForwardCrouchSpeed;
        %obj.DefaultSideSpeedCrouching = %obj.getDataBlock().maxSideCrouchSpeed;
        %obj.DefaultBackSpeedCrouching = %obj.getDataBlock().maxBackwardCrouchSpeed;
        
        %obj.canMove = true;
        %obj.hasDefaultSpeedsSet = true;
    }
    
    if (!%move)
    {
        %obj.canMove = false;
        
        %obj.setMaxForwardSpeed(0);
        %obj.setMaxSideSpeed(0);
        %obj.setMaxBackwardSpeed(0);
        
        %obj.setMaxCrouchForwardSpeed(0);
        %obj.setMaxCrouchSideSpeed(0);
        %obj.setMaxCrouchBackwardSpeed(0);
    }
    else
    {
        %obj.canMove = true;
        
        %obj.setMaxForwardSpeed(%obj.DefaultForwardSpeed);
        %obj.setMaxSideSpeed(%obj.DefaultSideSpeed);
        %obj.setMaxBackwardSpeed(%obj.DefaultBackSpeed);
        
        %obj.setMaxCrouchForwardSpeed(%obj.DefaultForwardSpeedCrouching);
        %obj.setMaxCrouchSideSpeed(%obj.DefaultSideSpeedCrouching);
        %obj.setMaxCrouchBackwardSpeed(%obj.DefaultBackSpeedCrouching);
    }
    return %obj.canMove;
}


//////////
// item //
//////////
datablock ItemData(WHMStaffItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./WHMStaff.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Healer Staff";
	iconName = "";
	doColorShift = false;
	colorShiftColor = "1.0 1.0 1.0 1.000";

	 // Dynamic properties defined by the scripts
	image = WHMStaffImage;
	canDrop = true;
};

/////////////////////////

datablock ProjectileData(StaffSwingProjectile : swordProjectile) 
{
	directDamage = 15;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(WHMStaffImage)
{
   // Basic Item properties
   shapeFile = "./WHMStaff.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = BowItem;
   ammo = " ";
   projectile = StaffSwingProjectile;
   projectileType = Projectile;

	casing = gunShellDebris;
	shellExitDir        = "1.0 -1.3 1.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 15.0;	
	shellVelocity       = 7.0;

   //melee particles shoot from eye node for consistancy
   melee = true;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = gunItem.colorShiftColor;//"0.400 0.196 0 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.15;
	stateTransitionOnTimeout[0]       = "Ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "AttackWait";
	stateAllowImageChange[1]         = true;
	stateSequence[1]	= "Ready";

	stateName[2]                     = "AttackWait";
	stateTimeoutValue[2]             = 0.15;
	stateTransitionOnTimeout[2]       = "Charging";
	stateTransitionOnTriggerUp[2]  = "Melee";
	stateScript[2] = "onAttackWait";

	stateName[3]                     = "Charging";
	stateTimeoutValue[3]             = 0.6;
	stateTransitionOnTimeout[3]       = "CureCharged";
	stateTransitionOnTriggerUp[3] = "Cast";
	stateScript[3] = "onCharging";
	stateEmitter[3] = Charge1Emitter;
	stateEmitterNode[3] = muzzlePoint;
	stateEmitterTime[3] = 1.6;
	stateSound[3]					= WHMChargeSound;
	stateAllowImageChange[3] = 0;

	stateName[4]                     = "CureCharged";
	stateTimeoutValue[4]             = 1.0;
	stateTransitionOnTimeout[4]       = "MedicaCharged";
	stateTransitionOnTriggerUp[4] = "Cast";
	stateScript[4] = "onCureCharged";
	stateEmitter[4] = CureCharge2Emitter;
	stateEmitterNode[4] = muzzlePoint;
	stateEmitterTime[4] = 1.0;
	stateAllowImageChange[4] = 0;

	stateName[5]                     = "MedicaCharged";
	stateTransitionOnTriggerUp[5] = "Cast";
	stateScript[5] = "onMedicaCharged";
	stateEmitter[5] = MedicaChargeEmitter;
	stateEmitterNode[5] = muzzlePoint;
	stateEmitterTime[5] = 2.0;
	stateAllowImageChange[5] = 0;

	stateName[6]                     = "Cast";
	stateTimeoutValue[6]             = 0.5;
	stateTransitionOnTimeout[6]       = "Ready";
	stateScript[6] = "onCast";
	stateAllowImageChange[6] = 0;

	stateName[7]                     = "Melee";
	stateFire[7]			= true;
	stateTimeoutValue[7]             = 0.5;
	stateTransitionOnTimeout[7]       = "Ready";
	stateScript[7] = "onMelee";
};

function WHMStaffImage::onAttackWait(%this,%obj,%slot)
{
	%obj.Cast = 0;
    	//echo("Attack Wait state");
   	 //%obj.playThread(2, plant);
}

function WHMStaffImage::onCharging(%this,%obj,%slot)
{
	%obj.Cast = 1;
	//echo("Charging state");
	%obj.setCanMove(0);
	%obj.playThread(2, shiftDown);
}

function WHMStaffImage::onCureCharged(%this,%obj,%slot)
{
	%obj.Cast = 2;
	//echo("Cure Charged state");
	//%obj.playThread(2, plant);
}

function WHMStaffImage::onMedicaCharged(%this,%obj,%slot)
{
	%obj.Cast = 3;
	//echo("Medica Charged state");
	//%obj.playThread(2, plant);
}

function WHMStaffImage::onCast(%this,%obj,%slot)
{
	 if (%obj.Cast == 0)
    {
        //echo("Melee attack");
        //%obj.playThread(2, plant);
    }
    else if (%obj.Cast == 1)
    {
        //echo("Spell fizzle");
        %obj.playThread(2, plant);
	%obj.setCanMove(1);
    }
    else if (%obj.Cast == 2)
    {
        //echo("Cast cure");
	%p = new Projectile()
        {
            dataBlock = CureCastProjectile;
            initialVelocity = "0 0 5";
            initialPosition = %obj.getMuzzlePoint(%slot);
            sourceObject = %obj;
            sourceSlot = %slot;
            client = %obj.client;
        };
        MissionCleanup.add(%p);

	%start = %obj.getEyePoint();//where to start the vector
        %end = vectorAdd(%start, vectorScale(%obj.getEyeVector(), 32)); //where to end it. in this case we take where the player is facing and check 5 units away from that
        %ray = containerRayCast(%start, %end, $Typemasks::PlayerObjectType, %obj); //typemask makes sure it only returns a collision with players if any. the %this refers to the player shooting the raycast so it ignore them
        if(isObject(%hit = getWord(%ray, 0))) //a raycast gives back several things in a string, the first is just the object, the next 3 are where the raycast hit. you can use this location to spawn a projectile
        {
 		%hit.addHealth(75);  //Change this to change the amount the single-target spell heals by.
		%p = new Projectile()
                        {
                        dataBlock= CureProjectile;
                        initialPosition= %hit.getHackPosition();
                        initialVelocity= 0;
                        sourceObject= %obj;
                        client= %obj.client;
                        sourceSlot= %slot;
                        scale= "1 1 1";
                        };missionCleanup.add(%p); 
        }
        %obj.playThread(2, shiftUp);
	serverPlay3d(WHMCastSound,%obj.getposition());
	%obj.setCanMove(1);
    }
    else if (%obj.Cast == 3)
    {
        //echo("Cast medica");
    	%p = new Projectile()
        {
            dataBlock = MedicaCastProjectile;
            initialVelocity = "0 0 5";
            initialPosition = %obj.getMuzzlePoint(%slot);
            sourceObject = %obj;
            sourceSlot = %slot;
            client = %obj.client;
        };
        MissionCleanup.add(%p);

	%positionHit = %obj.getHackPosition();
    	InitContainerRadiusSearch(%positionHit, 16,     $TypeMasks::PlayerObjectType);
    	while(%hit = containerSearchNext())
   	{
        	if (!minigameCanDamage(%obj, %hit) || %obj == %hit)
		{
   			%hit.addHealth(50); //Change this to change the amount the AoE spell heals by.
			%p = new Projectile()
        		{
            			dataBlock = CureProjectile;
            			initialPosition = %hit.getHackPosition();
            			initialVelocity = 0;
            			sourceObject = %obj;
            			client = %obj.client;
           			sourceSlot = %slot;
           			scale = "0.7 0.7 0.7";
			}; 
			missionCleanup.add(%p); 
		}	
    	}
        %obj.playThread(2, shiftUp);
	serverPlay3d(MedicaSound,%obj.getposition());
	%obj.setCanMove(1);
    }
    else
    {
        echo("There's a problem.");
        %obj.playThread(2, plant);
    }
}

function WHMStaffImage::onMelee(%this,%obj,%slot)
{
	//echo("Melee attack");
	%obj.playThread(2, shiftaway);
	Parent::onFire(%this,%obj,%slot);
}
function WHMStaffImage::onUnmount(%this,%obj,%slot)
{
	%obj.setCanMove(1);
}

