datablock ParticleData(CureSparkleParticle)
{
	dragCoefficient      = -2;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 0;
	textureName          = "./HealingSparkle";
	spinSpeed		= 0.0;
	spinRandomMin		= 00.0;
	spinRandomMax		= 00.0;
	colors[0]     = "0.1 0.3 1.0 0.6";
	colors[1]     = "0.6 0.5 1.0 0.9";
	colors[2]     = "1.0 1.0 1.0 1.0";
	colors[3]     = "0.0 0.0 1.0 0.0";
	sizes[0]      = 0.0;
	sizes[1]      = 1.00;
	sizes[2]      = 2.0;
	sizes[3]      = 0.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CureSparkleEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 2;
   ejectionVelocity = -3.0;
   velocityVariance = 1.0;
   ejectionOffset   = 2.5;
   thetaMin         = 45;
   thetaMax         = 135;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "CureSparkleParticle";

   useEmitterColors = False;

    uiName = "Cure Sparkle";
};

////////////////////////////////

datablock ParticleData(CureBubbleParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 800;
	lifetimeVarianceMS   = 0;
	textureName          = "./HealingBubble";
	spinSpeed		= -700.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.2 0.6 0.9 0.0";
	colors[1]     = "0.6 0.5 1.0 0.7";
	colors[2]     = "1.0 1.0 1.0 0.9";
	colors[3]     = "0.6 0.5 1.0 0.0";
	sizes[0]      = 6.0;
	sizes[1]      = 6.0;
	sizes[2]      = 6.0;
	sizes[3]      = 6.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(CureBubbleEmitter)
{
   ejectionPeriodMS = 25;
   periodVarianceMS = 2;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 360;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "CureBubbleParticle";

   useEmitterColors = False;

    uiName = "Cure Bubble";
};

//////////////////////////////////////////

datablock ParticleData(Charge1Particle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 0;
	textureName          = "./ChargeParticle1";
	spinSpeed		= 0.0;
	spinRandomMin		= 00.0;
	spinRandomMax		= 00.0;
	colors[0]     = "0.1 0.3 1.0 0.6";
	colors[1]     = "0.6 0.5 1.0 0.9";
	colors[2]     = "1.0 1.0 1.0 0.7";
	colors[3]     = "0.0 0.0 1.0 0.0";
	sizes[0]      = 0.0;
	sizes[1]      = 0.25;
	sizes[2]      = 0.7;
	sizes[3]      = 0.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};

datablock ParticleEmitterData(Charge1Emitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 2;
   ejectionVelocity = -1.5;
   velocityVariance = 1.0;
   ejectionOffset   = 1.5;
   thetaMin         = 45;
   thetaMax         = 360;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "Charge1Particle";

   useEmitterColors = False;

    uiName = "Cure Charge 1";
};

////////////////////////////////////////////

datablock ParticleData(MedicaSparkleParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 50;
	textureName          = "./HealingSparkle";
	spinSpeed		= 0.0;
	spinRandomMin		= 00.0;
	spinRandomMax		= 00.0;
	colors[0]     = "0.9 0.8 1.0 0.0";
	colors[1]     = "0.8 0.9 1.0 1.0";
	colors[2]     = "1.0 1.0 1.0 1.0";
	colors[3]     = "1.0 1.0 1.0 0.0";
	sizes[0]      = 4.0;
	sizes[1]      = 1.0;
	sizes[2]      = 0.2;
	sizes[3]      = 0.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.2;
	times[2]      = 0.9;
	times[3]      = 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(MedicaSparkleEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 2;
   ejectionVelocity = 10.0;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 20;
   thetaMax         = 160;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "MedicaSparkleParticle";

   useEmitterColors = False;

    uiName = "Medica Sparkle";
};

///////////////////////////////////////

datablock ParticleData(MedicaChargeParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = -1.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 50;
	textureName          = "./MedicaChargeSwirl";
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.1 0.7 0.2 0.6";
	colors[1]     = "0.6 0.9 7.0 0.9";
	colors[2]     = "1.0 1.0 1.0 0.5";
	colors[3]     = "5.0 1.0 6.0 0.0";
	sizes[0]      = 1.0;
	sizes[1]      = 0.7;
	sizes[2]      = 0.5;
	sizes[3]      = 0.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};

datablock ParticleEmitterData(MedicaChargeEmitter)
{
   ejectionPeriodMS = 25;
   periodVarianceMS = 0;
   ejectionVelocity = 1.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "MedicaChargeParticle";

   useEmitterColors = False;

    uiName = "Medica Charge";
};

///////////////////////////////////////////

datablock ParticleData(CureCharge2Particle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = -1.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 50;
	textureName          = "./ChargeParticle1";
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.1 0.6 0.7 0.6";
	colors[1]     = "0.6 0.9 7.0 0.9";
	colors[2]     = "1.0 1.0 1.0 0.5";
	colors[3]     = "0.6 0.7 1.0 0.0";
	sizes[0]      = 1.0;
	sizes[1]      = 0.7;
	sizes[2]      = 0.5;
	sizes[3]      = 0.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};

datablock ParticleEmitterData(CureCharge2Emitter)
{
   ejectionPeriodMS = 25;
   periodVarianceMS = 0;
   ejectionVelocity = 1.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "CureCharge2Particle";

   useEmitterColors = False;

    uiName = "Cure Charge 2";
};

///////////////////////////////////////////

datablock ParticleData(MedicaWaveParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 800;
	lifetimeVarianceMS   = 50;
	textureName          = "./ChargeParticle1";
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.5 0.1 1.0 0.2";
	colors[1]     = "0.1 0.1 1.0 0.7";
	colors[2]     = "0.1 1.0 1.0 0.9";
	colors[3]     = "0.1 1.0 0.1 0.0";
	sizes[0]      = 0.0;
	sizes[1]      = 1.7;
	sizes[2]      = 2.5;
	sizes[3]      = 4.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};

datablock ParticleEmitterData(MedicaWaveEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 30.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 90;
   thetaMax         = 90.1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "MedicaWaveParticle";

   useEmitterColors = False;

    uiName = "Medica Wave";
};

///////////////////////////////////////////

datablock ParticleData(CureCastParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 300;
	lifetimeVarianceMS   = 0;
	textureName          = "./ChargeParticle1";
	spinSpeed		= 0.0;
	spinRandomMin		= 00.0;
	spinRandomMax		= 00.0;
	colors[0]     = "0.1 0.3 1.0 0.0";
	colors[1]     = "0.6 0.5 1.0 0.5";
	colors[2]     = "1.0 1.0 1.0 0.5";
	colors[3]     = "0.0 0.0 1.0 0.0";
	sizes[0]      = 2.0;
	sizes[1]      = 2.25;
	sizes[2]      = 0.7;
	sizes[3]      = 0.0;
	windCoefficient = 0.0;

	times[0]      = 0.0;
	times[1]      = 0.4;
	times[2]      = 0.7;
	times[3]      = 1.0;

	useInvAlpha = false;
};

datablock ParticleEmitterData(CureCastEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 2;
   ejectionVelocity = 1.5;
   velocityVariance = 1.0;
   ejectionOffset   = 1.5;
   thetaMin         = 45;
   thetaMax         = 360;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   orientParticles = false;
   particles = "CureCastParticle";

   useEmitterColors = False;

    uiName = "Cure Cast";
};

///////////////////////////////////////////

datablock AudioProfile(CureSound)
{
   filename    = "./Cure.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(WHMChargeSound)
{
   filename    = "./WHMCharge.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(WHMCastSound)
{
   filename    = "./WHMCast.wav";
   description = AudioDefault3d;
   preload = true;
};

datablock AudioProfile(MedicaSound)
{
   filename    = "./Medica.wav";
   description = AudioDefault3d;
   preload = true;
};

///////////////////////////////////////////

datablock ExplosionData(CureExplosion)
{
   //explosionShape = "";
   //explosionShape = "";
   soundProfile = CureSound;

   lifeTimeMS = 300;

   particleEmitter = CureBubbleEmitter;
   particleDensity = 3;
   particleRadius = 0.0;

   emitter[0] = CureSparkleEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 4;
   lightEndRadius = 2;
   lightStartColor = "0 0.6 0.9 1";
   lightEndColor = "0 0 0 1";

   damageRadius = 2;
   radiusDamage = 0;

   impulseRadius = 0;
   impulseForce = 0;

   uiName = "Cure Explosion";
};

/////////////////////////////////////////////
datablock ProjectileData(CureProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = CureExplosion;

   directDamageType  = 0;
   radiusDamageType  = 0;

   explodeOnDeath        = 1;

   armingDelay         = 0;
   lifetime            = 0;

   uiName = "Cure";
};

/////////////////////////////////////////////

datablock ExplosionData(MedicaCastExplosion)
{
   //explosionShape = "";
   //explosionShape = "";

   lifeTimeMS = 200;

   particleEmitter = MedicaSparkleEmitter;
   particleDensity = 80;
   particleRadius = 1.0;

   emitter[0] = MedicaWaveEmitter;
   emitter[1] = Charge1Emitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 4;
   lightEndRadius = 2;
   lightStartColor = "0 0.6 0.9 1";
   lightEndColor = "0 0 0 1";

   damageRadius = 2;
   radiusDamage = 0;

   impulseRadius = 0;
   impulseForce = 0;

   uiName = "Medica Cast";
};

///////////

datablock ProjectileData(MedicaCastProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = MedicaCastExplosion;

   directDamageType  = 0;
   radiusDamageType  = 0;

   explodeOnDeath        = 1;

   armingDelay         = 0;
   lifetime            = 0;

   uiName = "Medica Cast";
};

//////////////////////////////////////////////

datablock ExplosionData(CureCastExplosion)
{
   //explosionShape = "";
   //explosionShape = "";

   lifeTimeMS = 200;

   particleEmitter = Charge1Emitter;
   particleDensity = 30;
   particleRadius = 1.0;

   emitter[0] = CureCastEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 4;
   lightEndRadius = 2;
   lightStartColor = "0 0.6 0.9 1";
   lightEndColor = "0 0 0 1";

   damageRadius = 2;
   radiusDamage = 0;

   impulseRadius = 0;
   impulseForce = 0;

   uiName = "Cure Cast";
};

///////////

datablock ProjectileData(CureCastProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = CureCastExplosion;

   directDamageType  = 0;
   radiusDamageType  = 0;

   explodeOnDeath        = 1;

   armingDelay         = 0;
   lifetime            = 0;

   uiName = "Cure Cast";
};